<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright 2017 Google Inc. All Rights Reserved -->
<configuration description="Haiku LibFuzzer Fuzzer Configuration">


    <build_provider class="com.google.android.tradefed.build.DeviceLaunchControlProvider">
      <option name="query-type" value="QUERY_LATEST_BUILD" />
      <option name="hostname" value="lcproxy.googleplex.com" />
      <option name="protocol" value="https" />
      <option name="query-max-time" value="100" />
      <!-- ensure all components required for an ASAN build are downloaded -->
      <option name="download-build-file" value="DEVICE_IMAGE" />
      <option name="download-build-file" value="BOOTLOADER" />
      <option name="download-build-file" value="BASEBAND" />
      <option name="download-build-file" value="USER_DATA" />
      <option name="download-build-file" value="TESTS_ZIP" />
      <option name="use-sso-client" value="true" />
    </build_provider>

    <target_preparer class="com.google.android.tradefed.targetprep.GoogleDeviceFlashPreparer">
        <option name="concurrent-flasher-limit" value="2" />
        <option name="device-boot-time" value="1200000" />
	<!-- FLASH causes userdata to be reported as corrupt with ASAN. FLASH_IMG_ZIP works -->
	<option name="userdata-flash" value="FLASH_IMG_ZIP" />
    </target_preparer>

    <!-- libfuzzer fuzzers are built as part of an asan build, grab the full set -->
    <target_preparer class="com.android.tradefed.targetprep.TestFilePushSetup" >
        <option name="test-file-name" value= "nativetest/fuzzers"/>
    </target_preparer>

    <test class="com.google.android.tradefed.haiku.LibFuzzerTest">
      <option name="session_id" value="test_fuzz" />
    </test>
</configuration>
